Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Appel à contributeurs pour la doc.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#2101 Le 23/06/2017, à 08:17

Sundgo

Re : Script d'installation pour imprimantes Brother

Bonjour fredjaw.
Voici par exemple : Man Linux en français
ou : Guide de survie de Débutant
ou : Wikipédia : Commandes Unix
Bonne lecture


Config : Fixe : AMD Athlon II X3 450 - RAM 4Go - DD 1 To - Ubuntu 16.04 - 64bits
Portable Asus K0IJ-TY042V - PentT4300 - RAM 4Go - Intel GMA 4500M - DD 320 Go - Windows 10 - Ubuntu 16.04 LTS 64bits

Hors ligne

#2102 Le 23/06/2017, à 08:52

fredjaw

Re : Script d'installation pour imprimantes Brother

Merci à tous, à toi qui me donne de la lecture qui devrait me rendre un peu moins stupide/minable/chiant. Je devrais avoir un peu de temps. J'ai noté les adresses et le lien vers le post qui permet de s'exprimer correctement.
Merci aussi pour celui qui a corrigé mon texte récupéré sur la console.
Quand j'essaie de comprendre ce qu'il faut faire en installant ci ou ça, déja, je ne sais pas comment on installe. Une des seule commande que j'ai à peu près c'est sudo apt get.
A bientôt.
Fred


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2103 Le 25/06/2017, à 12:39

carabao

Re : Script d'installation pour imprimantes Brother

bonjour

Essaye comme cela, sans passer par le script proposé dans le premier message.

Télécharge le pilote:
http://support.brother.com/g/b/download … ng=English


SI linux 64 bits:  Installer ia32-libs ou lib32stdc++6 + avant de lancer le script d’installation


Puis dans le répertoire de téléchargements, via une console

gunzip linux-brprinter-installer-2.1.1-1.gz   (pour dézipper) 

   
Dans le répertoire dézippé

   
sudo bash linux-brprinter-installer-2.1.1-1 HL-1110    (pour installer)  

   
N'allume pas l’imprimante de suite seulement quand le système le demande.

Dernière modification par carabao (Le 11/07/2017, à 07:28)


1° PC portable MSI: Intel Core i5-7300HQ, 8gb, GPU Nvidia GTX 1050Ti GDDR5, SSD 256 Go + HDD 1 To avec kubuntu 17.04
2° PC portable LDLC: Intel Core i5, 8Gb ram, carte intel HD4600 - 1 SSD (système) et 1 HDD (répertoire perso) avec kubuntu 17.04

Hors ligne

#2104 Le 26/06/2017, à 09:38

fredjaw

Re : Script d'installation pour imprimantes Brother

Salut à tous,
Je me plonge dedans (dans la mesure de mon temps disponible).
Je crois avoir déja fait un grand pas en sachant comment vérifier si mon processeur et ma distribution sont 32 ou 64bit.
Apparemment les pilotes sont 32 bit et il y a une install préalable (merci carabo) avant de lancer l'install des pilotes Brother.
J'avance très lentement mais j'avance.
Merci encore.
Fred


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2105 Le 26/06/2017, à 10:38

jibel

Re : Script d'installation pour imprimantes Brother

fredjaw a écrit :

Salut à tous,
Je me plonge dedans (dans la mesure de mon temps disponible).
Je crois avoir déja fait un grand pas en sachant comment vérifier si mon processeur et ma distribution sont 32 ou 64bit.
Apparemment les pilotes sont 32 bit et il y a une install préalable (merci carabo) avant de lancer l'install des pilotes Brother.
J'avance très lentement mais j'avance.
Merci encore.
Fred

Voila, voila... si vous avez les infos de votre brother ? quel modele? Avez vous regardez le tuto de Demonipuch pour l'installe de votre brother? Des contacts avec brother .fr qui donneront ce qui doit être téléchargés et installés pour votre printer? Modèle quatre fonctions? merci et @+  wink


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur.Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit.

Avec Mint.17.3, Xub14.04,VoyagerX2,X8,Debian 8.2, 8,3 , handy-linux 2.2, emma 3 .PC medion akira  DD 1T + 2 .

Hors ligne

#2106 Le 26/06/2017, à 11:50

carabao

Re : Script d'installation pour imprimantes Brother

pour savoir si 32 ou 64 bits

uname -a
4.11.7-041107-generic #201706240231 SMP Sat Jun 24 06:33:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

ici par exemple 64 bits (x86_64) sinon x86 ou x86_32

Dernière modification par carabao (Le 26/06/2017, à 11:51)


1° PC portable MSI: Intel Core i5-7300HQ, 8gb, GPU Nvidia GTX 1050Ti GDDR5, SSD 256 Go + HDD 1 To avec kubuntu 17.04
2° PC portable LDLC: Intel Core i5, 8Gb ram, carte intel HD4600 - 1 SSD (système) et 1 HDD (répertoire perso) avec kubuntu 17.04

Hors ligne

#2107 Le 27/06/2017, à 18:24

fredjaw

Re : Script d'installation pour imprimantes Brother

Salut à tous,
Mon système est bien 64bit donc il faut que je passe par un préalable au niveau librairies.
Je précise que mon imprimante est mono fonction (laser N&B).
J'ai tenté d'installer : sudo apt-get  install lib32stdc++ puis sudo apt-get  install lib32stdc++6 et je préfère ne pas vous recopier la montagne de lignes qu'il m'a répondu.
Je refais un message avec les balises avec ce qui me semble l'essentiel.
A tout de suite.
Fred


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2108 Le 27/06/2017, à 18:31

fredjaw

Re : Script d'installation pour imprimantes Brother

J'essaie de faire proprement et je ne suis pas sur que ça marche. désolé si ça n'est pas le cas. Fred

fred@fred-Lenovo-G70-70:~$ sudo apt-get install lib32stdc++
[sudo] Mot de passe de fred : 

ensuite ça commence comme ça

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de lib32stdc++6-4.2-dbg-mips64el-cross pour l'expression rationnelle « lib32stdc+ »

et ça finit comme ça

Note : sélection de « lib32stdc++6-sparc64-cross » au lieu de « lib32stdc++6-sparc64-dcv1 »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 
Les paquets suivants contiennent des dépendances non satisfaites :
 lib32stdc++6-4.8-dbg : Est en conflit avec: lib32stdc++6-4.7-dbg mais 4.7.4-3ubuntu12 devra être installé
 lib32stdc++6-4.9-dbg : Est en conflit avec: lib32stdc++6-4.7-dbg mais 4.7.4-3ubuntu12 devra être installé
                        Est en conflit avec: lib32stdc++6-4.8-dbg mais 4.8.5-4ubuntu2 devra être installé
 lib32stdc++6-5-dbg : Est en conflit avec: lib32stdc++6-4.7-dbg mais 4.7.4-3ubuntu12 devra être installé
                      Est en conflit avec: lib32stdc++6-4.8-dbg mais 4.8.5-4ubuntu2 devra être installé
                      Est en conflit avec: lib32stdc++6-4.9-dbg mais 4.9.3-13ubuntu2 devra être installé
 lib32stdc++6-5-dbg-s390x-cross : Est en conflit avec: lib32stdc++6-4.9-dbg-s390x-cross mais 4.9.3-13ubuntu2cross1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
fred@fred-Lenovo-G70-70:~$

J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2109 Le 27/06/2017, à 19:07

fredjaw

Re : Script d'installation pour imprimantes Brother

J'ai aussi essayé d'installer ia32-libs :

sudo apt-get ia32-libs
[sudo] Mot de passe de fred : 
E: L'opération ia32-libs n'est pas valable

J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2110 Le 27/06/2017, à 19:11

fredjaw

Re : Script d'installation pour imprimantes Brother

Avec mes excuses, l'imprimante est un Brother HL 1110 et j'ai télchargé les 3 fichiers Brother qui vont avec :

linux-brprinter-installer-2.1.1-1(1).gz

hl1110lpr-3.0.1-1.i386(1).deb

hl1110cupswrapper-3.0.1-1.i386.deb

je crois bien comprendre que ces fichiers sont destinés à une utilisation 32bit et qu'il faut une librairie pour permettre l'utilisation avec un processeur et un système d'exploitation 64bit (mais laquelle ?).


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2111 Le 30/06/2017, à 12:23

carabao

Re : Script d'installation pour imprimantes Brother

sudo apt-get install ia32-libs

ou

sudo apt install ia32-libs

tu n'as besoin que du premier linux-brprinter-installer-2.1.1-1(1).gz (à décompresser) et tu renseignes ton modèle HL-1110

sudo bash linux-brprinter-installer-2.1.1-1 HL-1110

Et attention, sudo apt-get  install lib32stdc++6  ,

Erreur lors de la copie dans le forum ou erreur de ligne de commande, il y a un espace de trop entre get et install (message 2107)

Dernière modification par carabao (Le 30/06/2017, à 12:26)


1° PC portable MSI: Intel Core i5-7300HQ, 8gb, GPU Nvidia GTX 1050Ti GDDR5, SSD 256 Go + HDD 1 To avec kubuntu 17.04
2° PC portable LDLC: Intel Core i5, 8Gb ram, carte intel HD4600 - 1 SSD (système) et 1 HDD (répertoire perso) avec kubuntu 17.04

Hors ligne

#2112 Le 04/07/2017, à 09:57

fredjaw

Re : Script d'installation pour imprimantes Brother

Merci du coup de main et désolé du retard, je suis parti faire un déménagement un peu compliqué à l'étranger (Belgique).

Je crois comprendre que la librairie demandée n'est pas dispo mais ce qui est proposé en alternative s'installe t'il de la même façon ?
La terminaison z1 ne me semble pas compatible avec l'autre terminaison -libs ?

sudo apt-get install ia32-libs
[sudo] Mot de passe de fred : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet ia32-libs n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  lib32ncurses5 lib32z1

E: Le paquet « ia32-libs » n'a pas de version susceptible d'être installée
fred@fred-Lenovo-G70-70:~$

A bientôt.
Fred


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2113 Le 04/07/2017, à 14:16

carabao

Re : Script d'installation pour imprimantes Brother

bonjour

Installe lib32stdc++6 à la place.

je suis parti faire un déménagement un peu compliqué à l'étranger (Belgique).  Attention à ta réponse, c'est le déménagement qui est compliqué ou c'est la Belgique ? Tu as droit à un seul choix. wink

Dernière modification par carabao (Le 04/07/2017, à 14:17)


1° PC portable MSI: Intel Core i5-7300HQ, 8gb, GPU Nvidia GTX 1050Ti GDDR5, SSD 256 Go + HDD 1 To avec kubuntu 17.04
2° PC portable LDLC: Intel Core i5, 8Gb ram, carte intel HD4600 - 1 SSD (système) et 1 HDD (répertoire perso) avec kubuntu 17.04

Hors ligne

#2114 Le 05/07/2017, à 13:32

fredjaw

Re : Script d'installation pour imprimantes Brother

Salut à tous,
Pas de problème pour répondre : ce qui était compliqué dans ce déménagement c'est l'inconséquence des déménagés. 2 fourgons de 14m3 + 1 x 12m3 à faire le même jour sur 400 km par les parents tous proche de la soixantaine. On est pas des machines !
La mention Belgique complique juste un peu l'accès à Internet quand on en a un peu le temps. En fait, le temps de rien.
Je vais donc essayer d'installer la bonne librairie et ensuite décompresser le fichier .gz (??????).
Merci.
Fred


J'en ai envie depuis longtemps mais ça y est ça marche pour de vrai grace à des gens sympas !

Hors ligne

#2115 Le 05/07/2017, à 16:01

carabao

Re : Script d'installation pour imprimantes Brother

oui voir mon message #2103


1° PC portable MSI: Intel Core i5-7300HQ, 8gb, GPU Nvidia GTX 1050Ti GDDR5, SSD 256 Go + HDD 1 To avec kubuntu 17.04
2° PC portable LDLC: Intel Core i5, 8Gb ram, carte intel HD4600 - 1 SSD (système) et 1 HDD (répertoire perso) avec kubuntu 17.04

Hors ligne

#2116 Le 10/07/2017, à 13:54

Max311

Re : Script d'installation pour imprimantes Brother

Bonjour a tous,

Voila je suis passé sous Xubuntu 17.04 en 64Bit.
J'utilise le script extraordinaire de demonipuch, ma MFC 5910 DW fonctionne à merveille mais pas de scan. aucun périphérique reconnu ... Je regarde un peu sur les forums, et je trouve pas mal de monde qui a ce problème ... Donc je me demandais si ça avais été résolu et si vous envisagiez de mettre le fabuleux script a jour ?

Merci de vos réponse smile

Hugo

Hors ligne

#2117 Le 11/07/2017, à 07:27

carabao

Re : Script d'installation pour imprimantes Brother

bonjour

tu es en 64 bits , voir mon message #2103 et #2113

Dernière modification par carabao (Le 11/07/2017, à 07:27)


1° PC portable MSI: Intel Core i5-7300HQ, 8gb, GPU Nvidia GTX 1050Ti GDDR5, SSD 256 Go + HDD 1 To avec kubuntu 17.04
2° PC portable LDLC: Intel Core i5, 8Gb ram, carte intel HD4600 - 1 SSD (système) et 1 HDD (répertoire perso) avec kubuntu 17.04

Hors ligne

#2118 Le 26/07/2017, à 08:46

joanne38

Re : Script d'installation pour imprimantes Brother

Bonjour à vous.
J'avais une DCP-150C qui fonctionnait (printer & scanner) depuis des années. Récemment, j'ai eu des problemes de scan, peut être suite à une mise à jour. J'ai lancé le script proposé, et tout est revenu dans l'ordre, sauf que le système n'est plus propre au niveau des dépendances...

Aussi le probleme de ia32-libs...

Installation du paquet : ia32-libs
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet ia32-libs n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  lib32ncurses5 lib32z1

Un clash entre le driver "précédent" je suppose et le nouveau telechargé...

Installation du fichier : dcp150clpr-1.0.1-1.i386.deb
Sélection du paquet dcp150clpr:i386 précédemment désélectionné.
(Lecture de la base de données... 309549 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../dcp150clpr-1.0.1-1.i386.deb ...
Dépaquetage de dcp150clpr:i386 (1.0.1-1) ...
Remplacés par des fichiers du paquet brother-lpr-drivers-extra (1.2.0-2-0ubuntu5) déjà installé...
Paramétrage de dcp150clpr:i386 (1.0.1-1) ...
Installation du fichier : dcp150ccupswrapper-1.0.1-1.i386.deb
Sélection du paquet dcp150ccupswrapper:i386 précédemment désélectionné.
(Lecture de la base de données... 309566 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../dcp150ccupswrapper-1.0.1-1.i386.deb ...
Dépaquetage de dcp150ccupswrapper:i386 (1.0.1-1) ...
Paramétrage de dcp150ccupswrapper:i386 (1.0.1-1) ...
[ ok ] Restarting cups (via systemctl): cups.service.
utilisateur@utilisateur-MS-7529:~/Téléchargements/brother$ sudo apt-get upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 brother-cups-wrapper-extra : Est en conflit avec: dcp150ccupswrapper:i386 mais 1.0.1-1 est installé
 brother-lpr-drivers-extra : Est en conflit avec: dcp150clpr:i386 mais 1.0.1-1 est installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
utilisateur@utilisateur-MS-7529:~/Téléchargements/brother$

Les packets brother installés sont les suivants

utilisateur@utilisateur-MS-7529:~/Téléchargements/brother$ dpkg -l|grep -i brother
ii  brother-cups-wrapper-common                 1.0.0-10-0ubuntu6                              amd64        Common files for Brother cups wrapper packages
ii  brother-cups-wrapper-extra                  1.2.1-0ubuntu4                                 amd64        Cups Wrapper drivers for extra brother printers
ii  brother-lpr-drivers-common                  1.0.0-4-0ubuntu3                               amd64        Common files for brother-lpr-drivers packages
ii  brother-lpr-drivers-extra                   1.2.0-2-0ubuntu5                               amd64        LPR drivers for extra brother printers
ii  brother-udev-rule-type1                     1.0.0-1                                        all          Brother udev rule type 1
ii  brscan                                      0.2.4                                          amd64        Brother CUPS Printer Definitions
ii  brscan-skey                                 0.2.4-1                                        amd64        Brother Linux scanner S-KEY tool
ii  brscan2                                     0.2.5-1                                        amd64        Brother Scanner Driver
ii  dcp150ccupswrapper:i386                     1.0.1-1                                        i386         Brother CUPS Inkjet Printer Definitions
ii  dcp150clpr:i386                             1.0.1-1                                        i386         Brother lpr Inkjet Printer Definitions
ii  printer-driver-brlaser                      3-5~ubuntu1                                    amd64        printer driver for (some) Brother laser printers
ii  printer-driver-ptouch                       1.4-1                                          amd64        printer driver Brother P-touch label printers
utilisateur@utilisateur-MS-7529:~/Téléchargements/brother$

Et lorsque je cherche à corriger, on me propose de retirer les deux paquets qui viennent d'être installés par le script...

utilisateur@utilisateur-MS-7529:~/Téléchargements/brother$ sudo apt-get -f install 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances        
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-4.4.0-81 linux-headers-4.4.0-81-generic linux-image-4.4.0-81-generic linux-image-extra-4.4.0-81-generic
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  dcp150ccupswrapper:i386 dcp150clpr:i386
0 mis à jour, 0 nouvellement installés, 2 à enlever et 1 non mis à jour.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] n
Annulation.
utilisateur@utilisateur-MS-7529:~/Téléchargements/brother$

Si je dis oui, alors je ne peux plus imprimer... L'état de l'imprimande devient
"Inactif - File "/usr/lib/cups/filter/brlpdwrapperdcp150c" not available: No such file or directory"

Comment faire pour regler ces problemes de dependance ?
Merci à vous.

Hors ligne

#2119 Le 31/07/2017, à 16:08

kkwete

Re : Script d'installation pour imprimantes Brother

Idem que certains avec une MFC 7320...imprime parfaitement, mais plantage systématique du scanner...que cela soit sous simplescan ou (x)sane...
Les librairies en sup s'installent apres le script ou il faut tout virer et tout faire à la main, sans le script?

Hors ligne

#2120 Le 03/08/2017, à 15:05

joanne38

Re : Script d'installation pour imprimantes Brother

kkwete a écrit :

Idem que certains avec une MFC 7320...imprime parfaitement, mais plantage systématique du scanner...que cela soit sous simplescan ou (x)sane...
Les librairies en sup s'installent apres le script ou il faut tout virer et tout faire à la main, sans le script?

J'arrive bien à imprimer et scanner, mais dans ce cas, j'ai des défauts de dépendances. Pas certain que l'on parle de la même chose...

Hors ligne

#2121 Le 09/08/2017, à 14:12

kkwete

Re : Script d'installation pour imprimantes Brother

non en effet, c'était un "idem" général, comme certains, je peux imprimer sans problème mais le scanner est dans les choux...
tu as résolu ton probleme?

Hors ligne